%global dlrn_nvr python-tripleoclient-12.6.1.dev33-2.20220114104840.db6a328
%global dlrn 1
%define upstream_version 12.6.1.dev33
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global client tripleoclient

%global common_desc \
python-tripleoclient is a Python plugin to OpenstackClient \
for TripleO <https://github.com/openstack/python-tripleoclient>.

Name:           python-tripleoclient
Version: 12.6.1
Release: 2.20220114104841%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0: python-tripleoclient-12.6.1.dev33-2.20220114104840.db6a328.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=db6a3287f465ab90d3cc0be393f6d29d10f5fc48
Patch0001: 0001-Revert-Replace-setup.cfg-with-the-version-from-the-t.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Adding-check-if-Sahara-is-enabled.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Make-container-images-file-required.patch
Patch0004: 0004-DOWNSTREAM-ONLY-Use-Validations-libs-Client-for-main.patch
Patch0005: 0005-DOWNSTREAM-ONLY-Overriding-the-log-path-argument-for.patch
Patch0006: 0006-DOWNSTREAM-ONLY-Fix-the-validations_log_basedir-over.patch
Patch0007: 0007-DOWNSTREAM-ONLY-Exposes-the-community-validation-ini.patch
Patch0008: 0008-Revert-TRAIN-ONLY-Fix-inventory-path-when-upgrading.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{client}
Summary: OpenstackClient plugin for tripleoclient
%{?python_provide:%python_provide python%{pyver}-%{client}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
# testing requirements
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-fixtures
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-cliff
BuildRequires:  python%{pyver}-ironicclient
BuildRequires:  python%{pyver}-ironic-inspector-client
BuildRequires:  python%{pyver}-heatclient
BuildRequires:  python%{pyver}-mistralclient
BuildRequires:  python%{pyver}-openstackclient
BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-passlib
BuildRequires:  python%{pyver}-osc-lib-tests
BuildRequires:  openstack-tripleo-common
BuildRequires:  redhat-lsb-core
BuildRequires:  openstack-macros
BuildRequires:  validations-common
%if %{pyver} == 2
BuildRequires:  PyYAML
BuildRequires:  python-psutil
BuildRequires:  python-requests-mock
BuildRequires:  python-websocket-client
%else
BuildRequires:  python%{pyver}-PyYAML
BuildRequires:  python%{pyver}-psutil
BuildRequires:  python%{pyver}-requests-mock
BuildRequires:  python%{pyver}-websocket-client
%endif

Requires:       jq
Requires:       ncurses
Requires:       openstack-selinux
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-cliff
Requires:       python%{pyver}-cryptography >= 2.1
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-ironic-inspector-client >= 1.5.0
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-mistralclient >= 3.1.0
Requires:       python%{pyver}-openstackclient >= 3.12.0
Requires:       python%{pyver}-osc-lib >= 1.8.0
Requires:       python%{pyver}-passlib
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-six
Requires:       python%{pyver}-zaqarclient >= 1.0.0
Requires:       validations-common

%if %{pyver} == 2
Requires:       python-ipaddress
Requires:       python-psutil
Requires:       python-simplejson >= 3.5.1
Requires:       python-websocket-client
Requires:       python2-futures
%else
Requires:       python%{pyver}-psutil
Requires:       python%{pyver}-simplejson >= 3.5.1
Requires:       python%{pyver}-websocket-client
%endif

Requires:       sos
Requires:       openstack-tripleo-common >= 11.4.0
Requires:       python%{pyver}-tripleo-common >= 11.4.0
Requires:       os-net-config
Requires:       rsync

# Dependencies for a containerized undercloud
Requires:       python%{pyver}-tripleoclient-heat-installer
# Dependency for correct validations
Requires:       openstack-tripleo-validations
# Dependency for image building
Requires:       openstack-ironic-python-agent-builder
Requires:       openstack-tripleo-image-elements
Requires:       openstack-tripleo-puppet-elements
Requires:       xfsprogs

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description -n python%{pyver}-%{client}
%{common_desc}

%package -n python%{pyver}-%{client}-heat-installer
Summary:        Components required for a containerized undercloud
%{?python_provide:%python_provide python%{pyver}-%{client}-heat-installer}

# Required for containerized undercloud
Requires:       buildah
Requires:       podman
Requires:       openvswitch
Requires:       openstack-heat-agents >= 1.6.0
Requires:       openstack-heat-api >= 11.0.0
Requires:       openstack-heat-engine >= 11.0.0
Requires:       python%{pyver}-paunch >= 4.2.0
# required as we now use --heat-native
Requires:       openstack-heat-monolith >= 11.0.0
Requires:       openstack-tripleo-heat-templates >= 9.0.0
Requires:       puppet-tripleo >= 9.3.0

%description -n python%{pyver}-%{client}-heat-installer
python-tripleoclient-heat-installer is a sub-package that contains all dependencies to
deploy a containerized undercloud with tripleo client.

%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=config-generator/undercloud.conf
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=config-generator/minion.conf

%install
%{pyver_install}
# undercloud.conf.sample needs to be copied by the user when deploying an undercloud,
# so 644 is enough to make it happen. Note instack-undercloud had similar permissions for
# this file.
install -p -D -m 644 undercloud.conf.sample  %{buildroot}/%{_datadir}/%{name}/undercloud.conf.sample
install -p -D -m 644 minion.conf.sample  %{buildroot}/%{_datadir}/%{name}/minion.conf.sample
mkdir -p %{buildroot}/%{_sharedstatedir}/tripleo-heat-installer

%check
# (amoralej) ignore unit tests -
# it misses https://github.com/openstack/python-tripleoclient/commit/e7132d47ea9b90c70fa2414d79c86c9a1dfc73a3
PYTHON=%{pyver_bin} stestr-%{pyver} run ||:

%files -n python%{pyver}-%{client}
%{_datadir}/%{name}
%{pyver_sitelib}/tripleoclient*
%{pyver_sitelib}/python_tripleoclient*
%doc LICENSE README.rst
%dir %{_sharedstatedir}/tripleo-heat-installer

%files -n python%{pyver}-%{client}-heat-installer

%changelog
* Wed Feb 16 2022 Thierry Vignaud <tvignaud@redhat.com> 12.6.1-2.20220114104841
- Revert "[TRAIN-ONLY] Fix inventory path when upgrading" (rhbz#2051832)

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220114104840.db6a328
- [DOWNSTREAM-ONLY] Exposes the community validation init command (rhbz#2037281)
- [DOWNSTREAM-ONLY] Overriding the log path argument for tripleoclient cli (rhbz#2037281)
- [DOWNSTREAM-ONLY] Use Validations libs Client for main validation entry point (rhbz#2037281)
- Revert "Replace setup.cfg with the version from the tarball"

* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220113144901.db6a328
- [DOWNSTREAM-ONLY] Exposes the community validation init command (rhbz#2037281)
- [DOWNSTREAM-ONLY] Fix the validations_log_basedir overriding (rhbz#2037281 rhbz#2013575)
- [DOWNSTREAM-ONLY] Overriding the log path argument for tripleoclient cli (rhbz#2037281)
- [DOWNSTREAM-ONLY] Use Validations libs Client for main validation entry point (rhbz#2037281)

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220112224925.db6a328
- Update patches

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220112214927.db6a328
- Update patches
- Passes playbook to the validation action as a list

* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220111084846.bd45a74
- Passes playbook to the validation action as a list (rhbz#2037281)

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220109014833.bd45a74
- Update patches

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220109004836.bd45a74
- Update patches
- Don't assume json network config in validations

* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20220104224909.a6fcdbf
- Don't assume json network config in validations (rhbz#1956785)

* Wed Dec 22 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20211223004900.a6fcdbf
- Update patches
- make net_config_override of undercloud.conf work with yaml

* Mon Oct 18 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20211019005227.c13638d
- Update patches
- [stable/train] Add support for the validations skip list feature

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20211008004901.fc4901f
- Update patches
- [Train-Only] Run Validations outside of mistral for the deployment

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20211007004941.243ef86
- Update patches
- Remove ipxe_enabled ppc64le validation

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20211003005921.956ea28
- Update patches
- Update deployment status after upgrade converge

* Tue Sep 21 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210922004813.7f8e7f2
- Update patches
- [Stable-Only]Reversing the legacy directory conditional
- [TRAIN-ONLY] Fix inventory path when upgrading

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210917004811.1a02204
- Update patches
- Remove name parameter from cell export

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210909004812.bcc25ec
- Update patches
- Revert "[train-only] post stack creation tsx validation"

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210904004812.ffa2440
- Update patches
- Fix edit authorized_keys file in-place

* Sat Aug 21 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210821224808.b5ee621
- Update patches
- Fetch stack after updating it
- Fix network environment validation
- [train-only] Honour DeploymentServerBlacklist

* Wed Aug 18 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210819004810.118e8a8
- Update patches
- TRAIN-ONLY Fix overcloud support report for T

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210809084811.4203d17
- Update patches
- Allow for cron programming of backups

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210729225818.a7ad3af
- Update patches
- Add --db-only option in undercloud_backup.

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210707224814.31dd5e7
- Update patches
- Use explicit order for ironic enabled interfaces

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210608001853.efc62d3
- Update patches

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.6.1-2.20210607092634.efc62d3
- Update patches
- Partial Revert "Don't pass the DNSServers param in undercloud env"
- BnR added error msg in case there is no inventory

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210603180733.95feb7c
- Update patches
- BnR Typo missing some spaces between words on the command help

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210601024819.b0fa425
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210601002832.b0fa425
- Update patches
- Remove --extra-env-vars from the mutually exclusive arg group
- [train-only] post stack creation tsx validation
- Fix validations listing when filtering by group(s)
- Declare is_failed_validation variable before if statement

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210528131232.0a0296f
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210527114807.0a0296f
- [train-only] post stack creation tsx validation (rhbz#1923165)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210527084820.0a0296f
- Remove --extra-env-vars from the mutually exclusive arg group (rhbz#1962681)

* Fri May 21 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210521074812.0a0296f
- Fix validations listing when filtering by group(s) (rhbz#1959884)

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210514084806.0a0296f
- Declare is_failed_validation variable before if statement (rhbz#1959853)

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210513014807.0a0296f
- Update patches
- Overcloud image has missing kernel_id and ramdisk_id properties

* Sat May 01 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210502004802.e2cba54
- Update patches
- [only-train] BnR overwrite the json output

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210428174438.54c05e3
- Update patches
- Use validation framework for running undercloud checkdisk

* Sun Apr 25 2021 OSP Prod Chain <dev-null@redhat.com> 12.5.1-2.20210426005751.0dd3892
- Update patches
- Replace exception with LOG.info
- [train-only] Trap empty role data

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Copy the inventory for standalone deploy in output_dir

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Use ceph_mon_network to find Ceph monitor IPs for export
- Move static-inventory option into parser group

* Sat Mar 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Use MultiKeyActionValue action for extra-[env-]vars arguments
- Revert "Revert "Add environment variables for better var handling""

* Mon Mar 15 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Handle root as a deployment user better

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Remove unnecessary zuul layout overrides use templates instead
- Add label argument for the container image build

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Modifying Openstack client for undercloud and overcloud backup

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- Fix the get_deployment_status call
- Add auth_token_lifetime to undercloud.conf

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches
- [Train] Bump queue subscription ttl for WebsocketClient
- [UX] Align to left the table for the validations run results

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 12.4.0-1
- Update patches

* Sat Feb 13 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-Only] Warn about docker if python3

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train-only] Don't deprecate OS::TripleO::Services::Docker
- [Validator Run] Add return code management
- Raise if no validation has been executed

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Get deployment status to check if plan and stack exists on the env
- Run validation without authentication in particular context

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Dumping task key instead of tasks from validation_output
- [Validator Show Run] Display simplified results by default

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove --quiet argument from the validator run CLI command.

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [Validator Show] Properly throwing an exception for unknown validation
- [Validator Run] Don't rely on parameter file extension

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [Validator Run] Ensure the plan really exists

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [train-only] Set rc = 0 for successful standalone/output-only action
- Expose --ansible-forks

* Wed Jan 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [train-only] Extend list of DEPRECATED_SERVICES

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- Make workflow monitoring more resilient

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- remove c7 update/upgrdae jobs
- Wire up new tripleo upgrades jobs template

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [TRAIN-Only] Reduce open mock scope
- Do not require authentication for the validator CLI

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- Add config-download-dir flag to cell export command

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- Revert "Removed ubi-8 based jobs"
- Map build host repos to distro.repos.d instead of yum.repos.d

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [TRAIN] Default ceph export config-download dir to mistral

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [TRAIN-only] Don't stop scale down if ansible fails
- remove lower-constraints
- [train/stein] Handle UseTLSTransportForNbd for previous created envs

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Thu Dec 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Validator Show Run] Display simplified results by default (rhbz#1889785)
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [Validator Run] Don't rely on parameter file extension (rhbz#1887777)
- [Validator Run] Ensure the plan really exists (rhbz#1888642)
- Raise if no validation has been executed (rhbz#1887437)
- Remove --quiet argument from the validator run CLI command. (rhbz#1887725)
- Do not require authentication for the validator CLI (rhbz#1892323)
- Removed ubi-8 based jobs
- [Container build] raise Exception post logging error

* Wed Nov 18 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add detection of package manager for undercloud upgrade

* Sun Nov 01 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove centos-7-standalone-upgrade

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [c7-train] Simplify tags for consumer jobs

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train] Switch to content provider jobs/templates

* Fri Oct 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Check CephClusterFSID against proposed env files

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Fix tcib build

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add openstack overcloud export ceph

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Fix if conditions in constants.py

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove playbook param from tripleo_validator.py

* Thu Sep 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Remove playbook param from tripleo_validator.py
- Set portmap cidr fields to extracted CIDR
- Train only: supply the stack name when creating the inventory

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove c7 containers multinode job
- Combined cherry-pick to allow TCIB to run config-less

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Inject both paths for validations roles location
- [TRAIN-Only] Fix missing mock
- [TRAIN-Only] Remove extra linebreak
- Add --temp-dir to overcloud image build

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Make python interpreter option for ansible validation run
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Make python interpreter option for ansible validation run
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI
- Make python interpreter option for ansible validation run
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Make python interpreter option for ansible validation run

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI
- Fix extra_env_files option and type in format string
- Implement validations-libs framework for ALL validator commands

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train-only] Add ipa config check to _cleanup_ipa
- Add tripleo container image hotfix command

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- (UX) Improve logging if the ephemeral heat stack wasn't created
- TCIB: add --rhel-modules argument
- Allow usage of duplicated IPs for undercloud config

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- overcloud_deploy: move horizon url/rc files before config-download

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- TCIB: add --rhel-modules argument
- overcloud_deploy: move horizon url/rc files before config-download

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- TCIB: add --rhel-modules argument
- overcloud_deploy: move horizon url/rc files before config-download
- TCIB: add --rhel-modules argument
- overcloud_deploy: move horizon url/rc files before config-download

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- TCIB: add --rhel-modules argument

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- overcloud_deploy: move horizon url/rc files before config-download

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Limit ip_version when resolving public_host and admin_host

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use user set password values in overcloud export

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-Only] Increase deploy workflow wait

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Rename UpgradeConvergeOvercloud into UpgradeConverge.

* Sat Aug 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Cleanup UndercloudHostsEntries

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Correct YAML load warning
- Don't build image upload tasks when dry_run is True
- Close session objects in container_image.py

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train-only] Run tripleo-build-containers-ubi-8 under specific conditions

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Port jobs from centos7 to centos8

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove ffwd-upgrade commands from tripleoclient.

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Sat Aug 01 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-and-older] Properly close sockets

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add openstack tripleo container image build
- Correct ansible playbook execution handler

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Throw warning if --limit used with a skip list in Heat

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train] manual backport & squash for overcloud_deploy raise changes

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Use folder with plan name for config download export

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add "yes" prompt for update/upgrades commands

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Skip network check with stack env when validations disabled

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Identify not allowed parameters in upgrades.

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- update constraint for tripleo-common to new release 11.4.0

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Detect TLS for pre-provisioned nodes

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN ONLY] Do not encode hostnames in validation result

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Refactor upgrade prepare and converge.

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Jun 23 2020 Sergii Golovatiuk <sgolovat@redhat.com> 12.3.2-0.20200615103426.6f877f6
- Refactor upgrade prepare and converge. (rhbz#1846591)

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- TripleO Validations Logging CLI Introduction

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-AND-OLDER] Improve timeout error handling

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove left over print
- Fix upgrade prompt

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Removed job tripleo-ci-centos-7-scenario009-multinode-oooq-container

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use undercloud upgrade to update all required pkgs

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable/train] Revert "Remove download_ansible_playbooks"

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Expose --limit, --skip-tags, and --tags on the CLI.

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add option to skip ipa cleanup when deleting overclouds

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Expose --limit, --skip-tags, and --tags on the CLI. (rhbz#1767581)
- tripleo-ci-centos-7-containerized-undercloud-upgrades -> NV

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Raise a new ValueError with the contents of the JSON is parsing fails

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Add retry for inserting temp_ssh_key

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable only] Remove timeout in config-download-export

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add login flag to container image prepare defaults

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Raise error for temp_ssh_key import failure

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add release note for undercloud.conf parsing

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Update necessary packages before undercloud upgarde.
- Fix misused deployment vs connection timeouts

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [DOWNSTREAM-ONLY] Make container images file required (rhbz#1819016)
- Fix ResourceWarning: unclosed file
- Ensure the undercloud output dir constant is consistent
- Add logic to clean up ipa on stack delete

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Improve container_images_file comments

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Normalize the 'undercloud-passwords.conf' return data
- baremetal provision expose concurrency and timeout

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add --work-dir option to container image build command

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Local file based image uploader

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Refactor image upload command

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add option to control ironic network interfaces

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use correct default key file and normalize the usage

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- overcloud: set DeployIdentifier to '' if --skip-deploy-identifier is used

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Update undercloud.conf with correct SSL information
- Make _get_undercloud_host_entry(self) python3 friendly

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Relax ~/.config permissions

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove extra whitespaces from getent.
- Fix default image registry address lookup

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Increase ssh port timeout

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add source auth to image push

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Allow import to specify image location ipxe=false

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- undercloud: introduce undercloud_enable_paunch option

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Revert "Default to zero verbosity when using Ansible."
- Revert "Added for support for generating overcloud clouds.yaml"
- Implement utils.copy_clouds_yaml
- tripleo_deploy: set RootStackName

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Enable stack status output for tripleo deploy

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Fix all py27 tests

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- openstack overcloud node delete --baremetal-deployment

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Revert "Remove panko"

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Revert "Remove panko" (rhbz#1795759)

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Enforce 0600 permissions on private SSH key file." into stable/train
- Merge "Default to zero verbosity when using Ansible." into stable/train
- Default to zero verbosity when using Ansible.
- Enforce 0600 permissions on private SSH key file.

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Complete overcloud deploy --baremetal-deployment" into stable/train
- Merge "Improvements to unprovision command" into stable/train
- Complete overcloud deploy --baremetal-deployment
- Improvements to unprovision command

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Handle config-download in progress in tripleoclient" into stable/train
- Handle config-download in progress in tripleoclient

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add additional ssh timeout options

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "TripleO Validator CLI Refactor" into stable/train
- TripleO Validator CLI Refactor

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Allow ctlplane subnets in undercloud chrony acl rules

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Catch exceptions when processing subnets

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Pass container name to update_nodes workflow

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Merge "Make containerized-undercloud-upgrades vote on train" into stable/train
- Make containerized-undercloud-upgrades vote on train

* Sat Dec 14 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- [DOWNSTREAM-ONLY] Adding check if Sahara is enabled (rhbz#1730322)
- Retry the connection to heat-api when 500 code

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Honor --heat-user argument in heat launcher

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Add locks to container image commands

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Use configured passwords
- Include memcached_node_ips in the output for the undercloud

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Fix inspector ip range for dhcpv6-stateless

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Switch to use process executor

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Fix overcloud cell export after refactoring

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Add openstack overcloud export

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Drop Mistral support for the Validations CLI
- Get rid of Mistral for running Validations by Groups
- Get rid of Mistral for listing validations

* Sat Nov 09 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Support undercloud fake-hardware ironic driver

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud parameters" into stable/train
- Merge "Use name for container registry" into stable/train
- Undercloud hosts entries in overcloud parameters
- Use name for container registry

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Prepare stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure that --output-env-file handles path expansion"
- Add option to control IPv6 address mode
- Ensure that --output-env-file handles path expansion

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't set transport=local in ansible.cfg"
- Merge "Handle a deployment that was manually cancelled."
- Handle a deployment that was manually cancelled.
- Don't set transport=local in ansible.cfg

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set option:mtu in inspector dnsmasq"
- Merge "Don't use --registry-url for image show auth"
- Merge "Removed references to bm-deploy images"
- Merge "Fix message of unused_params and invalid_role_specific_params."
- Merge "IronicIpVersion: 12.6.1
- Removed references to bm-deploy images
- Fix message of unused_params and invalid_role_specific_params.
- IronicIpVersion: 12.6.1
- Set option:mtu in inspector dnsmasq
- Don't use --registry-url for image show auth

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Close some file descriptors that were left open"
- Close some file descriptors that were left open


